#' Digitized growth increments in cross section of modern oyster rescaled to
#' the same X-axis.
#'
#' A dataset containing X- and Y-coordinates of digitized growth increments
#' from the Crassostrea gigas #1 oyster used as an example in de Winter (2017)
#' resampled to fit the same X-axis.
#'
#' @docType data
#'
#' @usage data(cross_section)
#'
#' @format A data frame with 101 rows and 10 variables:
#'
#' \describe{
#'   \item{0}{X-coordinates in mm}
#'   \item{44}{Empty column, title contains day of the year the shell started growing (estimated)}
#'   \item{0}{Y-coordinates of digitized increment 0 (top of shell), title contains age in days}
#'   \item{30}{Y-coordinates of digitized increment 1, title contains age in days}
#'   \item{90}{Y-coordinates of digitized increment 2, title contains age in days}
#'   \item{270}{Y-coordinates of digitized increment 3, title contains age in days}
#'   \item{420}{Y-coordinates of digitized increment 4, title contains age in days}
#'   \item{780}{Y-coordinates of digitized increment 5, title contains age in days}
#'   \item{1050}{Y-coordinates of digitized increment 6, title contains age in days}
#'   \item{1290}{Y-coordinates of digitized increment 7 (bottom of shell), title contains age in days}
#' }
#' @source \url{https://doi.org/10.5194/gmd-2017-137-supplement}
"cross_section"
